> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Suno MIDI Export API Documentation

> Use the Suno MIDI export API to turn generated music into MIDI for DAW editing, arrangement refinement, and production workflows.



## OpenAPI

````yaml openapi/en/suno.json POST /suno/v1/gen-midi
openapi: 3.1.0
info:
  title: TTAPI API DOCS
  version: 1.0.0
  description: Suno AI Music API
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /suno/v1/gen-midi:
    post:
      requestBody:
        required: true
        content:
          application/json:
            schema:
              allOf:
                - type: object
                  properties:
                    music_id:
                      type: string
                      description: Song ID
                  required:
                    - music_id
      responses:
        '200':
          description: Request successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: SUCCESS
                  message:
                    type: string
                    example: success
                  data:
                    type: object
                    properties:
                      state:
                        type: string
                        description: >-
                          Status. `running` means generation is in progress, and
                          `complete` means success.
                        example: complete
                      instruments:
                        type: object
                        example:
                          - name: Synth Voice
                            notes:
                              - pitch: 60
                                start: 11.166666666666666
                                end: 11.333333333333334
                                velocity: 0.49606299212598426
                              - pitch: 60
                                start: 11.5
                                end: 11.666666666666666
                                velocity: 0.49606299212598426
                              - pitch: 60
                                start: 11.833333333333334
                                end: 12
                                velocity: 0.49606299212598426
                required:
                  - status
                  - message
                  - data
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  responses:
    400Response:
      description: Parameter error
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Authorization failed
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        You can obtain your API key from the <a
        href='https://dashboard.ttapi.io' target='_blank'>TTAPI Dashboard</a>.

````